import time
import zmq

context = zmq.Context()
socket = context.socket(zmq.DEALER)
socket.bind("tcp://*:6666")

while True:
    #Do some work
    socket.send(b"word");
    time.sleep(1)
    # wait for next request from client
    message = socket.recv_multipart()
    print("Recived request :%s " % message)
